Contracts

The contracts the customer signed with Nimag.

Contracts

GET/contracts

Needs the permission contract:read

Signed contracts, newest first, with a link to each document.

Response 200

idrequiredstring
titlerequiredstring
descriptionrequiredstring
frequencyrequiredstring
activerequiredboolean
next_invoice_daterequiredstring | null
itemsrequiredobject[]
descriptionrequiredstring
quantityrequirednumber
unitrequiredstring
detailsrequiredstring[]
subtotalrequirednumber | null
amount_untaxedrequirednumber | null
currencyrequiredstring
curl "https://portal.nimag.net/api/v1/contracts" \
  -H "Authorization: Bearer nck_…"
[
  {
    "id": "string",
    "title": "string",
    "description": "string",
    "frequency": "string",
    "active": true,
    "next_invoice_date": "string",
    "items": [
      {
        "description": "string",
        "quantity": 0,
        "unit": "string",
        "details": [
          "string"
        ],
        "subtotal": 0
      }
    ],
    "amount_untaxed": 0,
    "currency": "string"
  }
]